{% extends "base.html" %}
{% block title %}Upload{% endblock %}

{% block content %}
   <div class="container">
      <div class="row mt-4">
         <h2>Schwarzweissbild-Kolorierer</h2>
         <p>Lade ein Bild hoch und sieh, wie es von einer KI koloriert würde.</p>
         <p> Maximale Bildgrösse: 2 MB </p>
      </div>
   </div>

   <div class="container">
      <form method=post enctype=multipart/form-data>
         <input type=file name=file onchange="loadFile(event)">
         <input type=submit value=Upload class="btn btn-primary">
      </form>
      <img id="output" alt="" width="50%" height="50%" class="mt-2"/>
   </div>

   {% if data %}
   <div class="container-fluid">
      <div class="row mb-1 mx-0 h-100">
         <div class="col-4 px-0">
            <div class="card h-100">
               <div class="card-body">
                  <h4 class="card-title">Input / Ground Truth</h4>
                  <p class="card-text">Hover over the Image to see the ground truth image</p>
               </div>
               <div class="figure">
                  <img src="{{ data.uploaded_img }}" class="img-fluid ground-truth-image">
                  <img src="{{ data.grey_image }}" class="card-img-top grey-image">
               </div>
            </div>
         </div>
         <div class="col-4 px-0">
            <div class="card h-100">
               <div class="card-body">
                  <h4 class="card-title">Imagenet</h4>
                  <p class="card-text">35'000 Iterationen</p>
               </div>
               <img src="{{ data.processed_img_v1 }}" class="img-fluid" alt="">
            </div>
         </div>
         <div class="col-4 px-0">
            <div class="card h-100">
               <div class="card-body">
                  <h4 class="card-title">Imagenet</h4>
                  <p class="card-text">500'000 Iterationen</p>
               </div>
               <img src="{{ data.processed_img_v2 }}" class="img-fluid" alt="">
            </div>
         </div>
      </div>

      <div class="row mb-3 mx-0 h-100">
         <div class="col-4 px-0">
            <div class="card h-100">
               <div class="card-body">
                   <h4 class="card-title">Imagnet + crawled images</h4>
                   <p class="card-text">500'000 Iterationen</p>
               </div>
               <img src="{{ data.processed_img_v3 }}" class="img-fluid" alt="">
            </div>
         </div>
         <div class="col-4 px-0">
            <div class="card h-100">
               <div class="card-body">
                   <h4 class="card-title">Imagnet + OpenImage + crawled images</h4>
                   <p class="card-text">500'000 Iterationen</p>
               </div>
               <img src="{{ data.processed_img_v4 }}" class="img-fluid" alt="">
            </div>
         </div>
         <div class="col-4 px-0">
            <div class="card h-100">
               <div class="card-body">
                   <h4 class="card-title">Zhang</h4>
                   <p class="card-text">&nbsp;</p>
               </div>
               <img src="{{ data.processed_img_v5 }}" class="img-fluid" alt="">
            </div>
         </div>
      </div>
   </div>
   {% endif %}

   <script src="{{ url_for('static', filename='js/index.js') }}"></script>
   {% endblock %}
